Package org.kapott.hbci.sepa.jaxb.pain_008_001_10

# Class RegulatoryAuthority2

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_008_001_10.RegulatoryAuthority2

public class RegulatoryAuthority2 extends Object

Java class for RegulatoryAuthority2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RegulatoryAuthority2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Nm" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.10}Max140Text" minOccurs="0"/>
             <element name="Ctry" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.10}CountryCode" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`ctry`
`protected String`
`nm`

## Constructor Summary

Constructors
Constructor
Description
`RegulatoryAuthority2()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCtry()`
Gets the value of the ctry property.
`String`
`getNm()`
Gets the value of the nm property.
`void`
`setCtry(String value)`
Sets the value of the ctry property.
`void`
`setNm(String value)`
Sets the value of the nm property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### nm

protected String nm

### ctry

protected String ctry

## Constructor Details

### RegulatoryAuthority2

public RegulatoryAuthority2()

## Method Details

### getNm

public String getNm()
Gets the value of the nm property.

Returns:
  possible object is `String`

### setNm

public void setNm(String value)
Sets the value of the nm property.

Parameters:
  `value` - allowed object is `String`

### getCtry

public String getCtry()
Gets the value of the ctry property.

Returns:
  possible object is `String`

### setCtry

public void setCtry(String value)
Sets the value of the ctry property.

Parameters:
  `value` - allowed object is `String`